﻿/* COLOR */
:root {
    --colorMenu: #0f7ea9;
    --ariane: #0f7ea9;
    --backViewer: #f0f0f0;
    --colorButtonBackground: #8ebfc9;
    --questionTitle: #0f7ea9;
    --doorTitle1: #3e4965;
    --doorTitle2: #cc9331;
    --mainColor: #1192B8;
}
/*General*/
@font-face {
    font-family: 'titillium';
    src: url('../fonts/Titillium-Regular.otf');
}

@font-face {
    font-family: 'titillium-thin';
    font-weight: lighter;
    src: url('../fonts/Titillium-Thin.otf');
}

@font-face {
    font-family: 'titillium-bold';
    font-weight: bold;
    src: url('../fonts/Titillium-Bold.otf');
}

@font-face {
    font-family: 'titillium-semibold';
    font-weight: 400;
    src: url('../fonts/Titillium-Semibold.otf');
}

@font-face {
    font-family: 'rakesly';
    src: url('../fonts/RakeslyBk-Regular.ttf');
}

@font-face {
    font-family: 'rakesly-2';
    src: url('../fonts/RakeslyUl-Regular.ttf');
}

@font-face {
    font-family: 'rakesly-3';
    src: url('../fonts/RakeslyEl-Regular.ttf');
}

@font-face {
    font-family: 'rakesly-4';
    src: url('../fonts/RakeslyLt-Regular.ttf');
}

@font-face {
    font-family: 'rakesly-5';
    src: url('../fonts/RakeslyRg-Regular.ttf');
}

body {
    /*padding-top: 80px;*/
    float: right;
    width: 70%;
    font-family: titillium;
}

strong {
    font-family: titillium-bold;
}

.title {
    font-family: rakesly;
    color: var(--mainColor);
}

h2 {
    font-family: rakesly;
    color: var(--mainColor);
}

/*Gestion page HOME*/
.Home {
    background-image: url("../Picture/ambiance_accueil.jpg");
    background-repeat: no-repeat;
    background-size: contain;
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-size: auto 100%;
    background-position: center top;
    transition: 2s;
}

    .Home .commentary-footer {
        position: absolute;
        transition: 1.5s;
        bottom: 0;
        right: 0;
        padding: 0;
        max-width: 450px;
        max-height: 100%;
        height: auto;
    }

        .Home .commentary-footer .background-img {
            margin-bottom: -150px;
        }

        .Home .commentary-footer .commentary-info {
            margin: 5% 5% 0 5%;
            box-shadow: -5px 0px 0px var(--mainColor);
            padding: 0;
        }

            .Home .commentary-footer .commentary-info .commentary-text {
                margin-left: 5px;
                font-size: 14px;
            }

            .Home .commentary-footer .commentary-info div {
                text-align: justify;
                padding-left: 15px;
            }

            .Home .commentary-footer .commentary-info .button {
                margin: 25px 0px auto 20px;
                font-size: 13px;
                width: -moz-available; /*mozilla*/
                width: -webkit-fill-available; /*Chrome*/
                background-color: white;
                border: solid var(--mainColor) 2px;
                box-shadow: unset;
                text-transform: uppercase;
            }

            .Home .commentary-footer .commentary-info .btn:hover, .Home .commentary-footer .commentary-info .btn:focus {
                background-color: var(--mainColor);
                color: white;
            }

.hide {
    display: none;
}


/*Gestion de la page customer*/
section#Customer {
    margin: unset;
}

img {
    max-width: 100%;
}

.body-content {
    width: 70%;
    padding-top: 7%;
    float: right;
}

.full-page {
    height: 100%;
    width: 100% !important;
    background-color: white;
}

.full-page-left {
    height: 100%;
    width: 30%;
    position: fixed;
    z-index: 15;
    top: 0;
    left: 0;
    background-color: white;
    -webkit-box-shadow: -30px 0 30px -30px inset;
    -moz-box-shadow: -30px 0 30px -30px inset;
    -ms-box-shadow: -30px 0 30px -30px inset;
    box-shadow: -30px 0 30px -30px inset;
    -moz-transition: 1s;
    -o-transition: 1s;
    -webkit-transition: 1s;
    transition: 1s;
}

tr {
    display: flex;
}

td {
    width: 100%;
}

th {
    width: 100%;
    text-align: center;
}

@media(min-width: 1000px) {
    .modal-dialog {
        width: 40%;
    }

    #LoginModal .modal-dialog {
        width: 30%;
        transition: 1s;
    }

    #CustomerModal .modal-dialog {
        width: 90%;
        transition: 1s;
    }
}

.transition {
}

.hide {
    display: none;
}

.logo-home {
    position: absolute;
    top: 20%;
    right: 30%;
    max-width: 50%;
    max-height: 25%;
}

p {
    margin: unset;
}

.card {
    box-shadow: unset;
}

#Paint .card {
    height: 150px;
    width: auto;
}

/*Modal*/
.modal-backdrop {
    /* bug fix - no overlay */
    display: none;
}

/* Navbar TOP */
.navbar-top {
    width: calc(70% - 10px);
    position: fixed;
    z-index: 3;
    left: 30%;
    top: 0;
    height: 80px;
    margin-right: auto;
    background-color: white;
}

.menu-text {
    color: var(--colorMenu);
    display: flex;
}

.menu {
    padding-left: 15px;
}

.droppedInitial {
    margin-left: 5%;
    /*padding-top: 21px;*/
    line-height: 11px;
}

.col {
    width: 13%;
    display: inline-flex;
}

section {
    counter-reset: countList;
    font-size: 11px;
    margin: 1% 2% 1% 2%;
}

#count::before {
    counter-increment: countList 1;
    content: counter(countList) " ";
    color: var(--ariane);
    font-size: 35px;
    border-spacing: 0px;
}

.dot {
    height: 13px;
    width: 13px;
    background-color: var(--ariane);
    border-radius: 50%;
    position: absolute;
    transform: translateX(3px) translateY(calc(1.1vw + 35px));
}

.line {
    display: inline-block;
    content: "";
    border-top: 1px solid var(--ariane);
    width: 105px;
    margin: -2px 1rem;
    transform: translateY(8px);
    display: block;
}

.NotSelected {
    opacity: 0.5;
}

#dotSelected .line {
    opacity: 0.25;
}

a {
    text-decoration: none;
    color: var(--ariane);
}

    a:focus, a:hover {
        text-decoration: none;
        color: var(--ariane);
    }

td a:hover, td a:focus {
    text-decoration: none;
    color: var(--ariane);
    font-weight: bold;
}

a:hover .dot .line, a:hover .dot .line {
    opacity: 0.25;
}

a:hover .dot, a:hover .dot {
    opacity: 1;
}

a:first-child:hover + #dot, a:first-child:focus + #dot, #dot + a:hover, #dot + a:focus, .menu-text:not(.NotSelected):hover, .menu-text:not(.NotSelected):focus {
    color: var(--ariane);
    text-decoration: none;
    font-weight: bold;
    opacity: 1;
}

a p {
    margin: 10px;
}


.famfamfam-flags {
    display: inline-block;
}

.swal-footer {
    text-align: center;
}


.visualize-background-img {
    margin-bottom: -30%;
    transform: translateY(5vw);
}

.background-commentary {
    transform: translateY(3vw);
}

@media(max-width: 1279px) {
    .commentary-info {
        margin-top: 11px !important;
    }

    .sidebar .commentary-footer {
        height: 50px;
    }

        .sidebar .commentary-footer:hover {
            height: auto;
        }
        .sidebar .commentary-footer:hover .visualize-background-img {
            transform: translateY(3vw);
        }

    .commentary-footer:not(.commentary-footer-full-page) .background-commentary {
        height: 100% !important;
        position: absolute;
    }

    .commentary-footer-full-page .background-commentary {
        height: 100% !important;
        position: absolute;
        width: 29% !important;
    }

    #Door .container-fluid .title-inline {
        width: 40% !important;
    }

    #DoorSelected .container-fluid .title-inline {
        width: 30% !important;
    }

    #DoorSelected .container-fluid .response-inline {
        margin-left: 50% !important;
        margin-right: 5% !important;
    }

    .Home {
        background-position: left center;
    }

        .Home.center-image {
            background-position: center center;
        }

        .Home li {
            font-size: 9px !important;
        }

        .Home button {
            font-size: 11px !important;
        }

        .Home .commentary-footer {
            max-width: 300px;
        }

        .Home .commentary-area-lenght {
            height: calc(100% - 150px);
        }

    .logo-home {
        max-width: 60%;
        max-height: 20%;
    }

    .Home .commentary-footer .background-img {
        margin-bottom: -100px;
    }

    .visualize-background-img {
        transform: translateY(0);
    }
}

@media(max-width: 719px) {
    .commentary-footer {
        padding: 0px 5% 0 5%;
    }

    .sidebar .commentary-footer {
        height: 40px;
    }

        .sidebar .commentary-footer:hover {
            height: auto;
        }

    .commentary-info {
        margin: 11px 8% 15px 8%;
    }

    .visualize-background-img {
        transform: translateY(0);
    }

    .commentary-footer:not(.commentary-footer-full-page) .background-commentary {
        height: 100vh !important;
        position: absolute;
    }

    .commentary-footer-full-page .background-commentary {
        height: 100vh !important;
        position: absolute;
        width: 29% !important;
    }

    .commentary-footer-full-page .visualize-background-img {
        transform: translateY(-2vw);
    }

    #DoorSelected .container-fluid .title-inline {
        width: 30% !important;
    }

    #DoorSelected .container-fluid .response-inline {
        margin-left: 60% !important;
        margin-right: 5% !important;
    }

    .Home {
        background-position: left center;
        font-size: 8px !important;
    }

        .Home.center-image {
            background-position: center center;
        }

        .Home li {
            font-size: 6px !important;
        }

        .Home button {
            font-size: 8px !important;
        }

        .Home .commentary-footer {
            max-width: 200px;
        }

        .Home ul {
            padding: 0px;
            margin-bottom: -20px;
        }

        .Home .commentary-area-lenght {
            height: calc(100% - 120px);
        }

    .logo-home {
        max-width: 60%;
        max-height: 20%;
    }

    .Home .commentary-footer .background-img {
        margin-bottom: -80px;
    }
}

/* Commentary area */
.commentary-footer {
    max-width: 100%;
    max-height: 100%;
    padding: 0px 10% 0 10%;
    position: absolute;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    bottom: 0;
    z-index: 200;
}

    .commentary-footer .background-commentary {
        width: 80%;
        background-color: white;
        -moz-transition: 0.5s;
        -o-transition: 0.5s;
        -webkit-transition: 0.5s;
        transition: 0.5s;
        height: 100%;
        position: absolute;
        background-color: var(--mainColor);
    }

    .commentary-footer.commentary-footer-full-page {
        max-width: 100%;
        max-height: 100%;
        -moz-transition: 0.5s;
        -o-transition: 0.5s;
        -webkit-transition: 0.5s;
        transition: 0.5s;
        width: 100%;
        padding: 0% 35.5% 0% 35.5%;
    }

        .commentary-footer.commentary-footer-full-page .background-commentary {
            width: 29%;
            background-color: white;
            -moz-transition: 0.5s;
            -o-transition: 0.5s;
            -webkit-transition: 0.5s;
            transition: 0.5s;
            height: 100%;
            position: absolute;
            background-color: var(--mainColor);
        }

.commentary-info {
    transform: translateY(-2%);
    margin: 0% 5% 0px 5%;
    max-height: 100%;
    text-align: end;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    -webkit-transition: 0.5s;
    transition: 0.5s;
    padding-right: 2%;
    right: 0;
    overflow: hidden;
    border-right: 7px solid white;
}

.commentary-info-full-page {
    margin: 2% 10% 0 10%;
    -moz-transition: 0.5s;
    -o-transition: 0.5s;
    -webkit-transition: 0.5s;
    transition: 0.5s;
}

.commentary-title {
    font-weight: bold;
    color: white;
    font-size: 3em;
    font-family: rakesly;
}

.commentary-text {
    font-size: 1.1em;
    margin: 15px 0px;
    color: white;
}

.Home .commentary-text {
    color: var(--questionTitle);
}
/*
.button {
    background: var(--colorButtonBackground);
    box-shadow: 0px 4px 0 var(--mainColor);
    margin-left: 10px;
    border-radius: 0;
    text-transform: inherit;
    font-size: 11px;
    color: black;
}*/

.button-list .button {
    margin: 5px 1.5% 5px 1.5%;
    color: white;
    background-color: var(--mainColor);
    border-radius: 6px;
    min-width: 30%;
}

.button-list {
    margin-top: 15px;
    margin-left: 5px;
}

#Door .button-list, #DoorSelected .button-list {
    margin-top: 15px;
    margin-left: unset;
    float: left;
    margin-right: 10px;
    width: 30vw;
    min-width: 30vw;
}

.button-arrow {
    background-color: var(--mainColor);
    font-size: 11px;
    padding: 11px 5px;
    border-radius: 0;
}

.arrow-i {
    border: solid white;
    border-width: 0px 2px 2px 0;
    display: inline-block;
    padding: 4px;
    transition: 1s;
}

.arrow-right {
    transform: rotate(-45deg);
    -webkit-transform: rotate(-45deg);
    margin-right: 6px;
    margin-bottom: 2px;
}

.arrow-left {
    transform: rotate(135deg);
    -webkit-transform: rotate(135deg);
    margin-left: 6px;
    margin-bottom: 2px;
}

.absolute-right {
    position: absolute;
    right: 0;
    bottom: 50%;
    box-shadow: -1px 0px 2px inset;
}

.commentary-area-lenght {
    background: white;
    max-width: 100%;
    height: calc(100% - 270px);
    position: absolute;
    width: 100%;
    bottom: 0;
}

/* Gestion des Questions */
.title-inline {
    display: inline-flex;
    align-items: baseline;
    width: 95%;
    margin-bottom: 10px;
}

h2 {
    border-left: solid var(--questionTitle) 6px;
    padding: 5px 5px 5px 10px;
    text-transform: uppercase;
    font-size: 30px;
    color: var(--questionTitle);
}

#Door h2, #DoorSelected h2 {
    border-left: unset;
    color: unset;
}

h4 {
    margin: 5px;
    font-weight: unset !important;
}

.response-inline {
    display: flex;
}

.response-flex {
    margin: 0px;
    overflow-wrap: normal;
}

    .response-flex.options {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
    }


.response {
    margin: 30px 20px 30px;
    cursor: pointer;
}

.response-selected {
    box-shadow: 0px 0px 0px 3px var(--questionTitle);
}

.response-flex .response {
    margin: 0 10px 15px 10px;
    padding: unset;
}

.response-flex .response.selected:not(.item) {
    margin: 0 7px 15px 7px;
}

.response-flex .response circle {
    transition: 0.2s;
}

.response-inline .response {
    margin: 30px 20px 20px;
}

/*Manage card per pages*/
#Joinery .response-inline .response {
    width: 10rem;
}

#Joinery .response {
    margin: 40px 20px 30px;
}

/******/
#Visualize .response-inline .response {
    width: auto;
    margin: 30px 15px 20px;
}

.response-inline .response:hover, .response-inline .response:focus, .response-flex .response:hover, .response-flex .response:focus {
    transform: scale(1.1);
    transition: 0s;
    z-index: 1;
}

#Visualize .response-inline .response img.card-img-top {
    margin-left: auto;
    margin-right: auto;
    display: table-caption;
    height: calc(40vh - 150px);
    min-width: unset;
    max-width: unset;
    min-height: 185px;
}

.response-title {
    text-align: center;
    padding: 8px 2px 0 2px;
}

.overflow {
    overflow: auto;
    overflow-y: auto;
    overflow-y: hidden;
    scrollbar-color: var(--colorMenu) white; /* Mozzila*/
    scrollbar-width: thin; /* Mozzila*/
}

.importPicture {
    color: var(--colorMenu);
    border: solid 1px;
    font-weight: bold;
    font-size: 20px;
    text-align: center;
    height: 100%;
    text-align: left;
    align-items: center;
    display: flex;
    width: auto;
    border-radius: 5px;
}

    .importPicture img {
        width: 20px;
        height: auto !important;
        margin-left: 5px;
        margin-right: auto;
        display: table-caption;
    }

    .importPicture:hover {
        transform: scale(1.1) translateX(5%);
    }

.option-content {
    display: block;
    margin: auto;
    width: max-content;
    position: relative;
}

.color-content {
    position: relative;
}
/*Manage Image Selected for all page*/
.card-img-top.selected {
    border: solid var(--colorMenu) 3px;
    box-shadow: 0 0 3px 3px var(--colorMenu) inset;
}

.card-img.selected {
    border: solid var(--colorMenu) 3px;
    box-shadow: 0 0 3px 3px var(--colorMenu) inset;
}

.card.response.selected {
    color: var(--colorMenu);
    font-weight: bold;
}

img.selected + circle {
    position: absolute;
    top: -15px;
    right: -15px;
    width: 30px;
    height: 30px;
    -webkit-border-radius: 25px;
    -moz-border-radius: 25px;
    border-radius: 25px;
    background: var(--colorMenu);
    z-index: 2;
}

img.color.selected + circle {
    bottom: 40px;
    left: 22px;
}

.item-contained img.selected + circle {
    scale: 0.7;
}

img.selected + circle valid {
    border: solid white;
    border-width: 0px 3px 3px 0;
    display: inline-block;
    padding: 7px;
    transition: 1s;
    transform: rotate(45deg);
    -webkit-transform: rotate(45deg);
    margin-left: 10px;
    margin-top: 4px;
    padding: 7px 3px;
    transition: 0.5s;
}
/**********/

/* Manage specific page #Door */
#Door section, #DoorSelected section {
    margin: 1% 2% 1% 0;
}

#Door .container-fluid .title-inline, #DoorSelected .container-fluid .title-inline {
    float: left;
    margin-top: 5%;
    width: auto;
    display: block;
    margin-right: 20px;
}

#DoorSelected .container-fluid .title-inline {
    margin-top: 10%;
    margin-right: 5%;
    position: fixed;
}

#Door .door-family:nth-child(1) .title-inline,
#DoorSelected .door-family:nth-child(1) .title-inline {
    border-left: solid var(--doorTitle1) 6px;
    color: var(--doorTitle1);
}

    #Door .door-family:nth-child(1) .title-inline button, #DoorSelected .door-family:nth-child(1) .title-inline button {
        background-color: var(--doorTitle1) !important;
        color: white;
        font-size: 2em;
    }

    #Door .container-fluid .title-inline button span, #DoorSelected .container-fluid .title-inline button span {
        text-align: center;
    }

    #Door .container-fluid .title-inline span.caret, #DoorSelected .container-fluid .title-inline span.caret {
        border-top: 7px solid;
        border-right: 7px solid transparent;
        border-left: 7px solid transparent;
    }


#Door .door-family:nth-child(2) .title-inline,
#DoorSelected .door-family:nth-child(2) .title-inline {
    border-left: solid var(--doorTitle2) 6px;
    color: var(--doorTitle2);
}

    #Door .door-family:nth-child(2) .title-inline button, #DoorSelected .door-family:nth-child(2) .title-inline button {
        background-color: var(--doorTitle2) !important;
        color: white;
        font-size: 2em;
    }

#Door .door-family:nth-child(1) .response-inline .card-img-top.selected,
#DoorSelected .door-family:nth-child(1) .response-inline .card-img-top.selected {
    border: solid var(--doorTitle1) 3px;
    color: var(--doorTitle1);
    min-width: 74px;
}

#Door .door-family:nth-child(1) .response-inline .card.response.selected,
#DoorSelected .door-family:nth-child(1) .response-inline .card.response.selected {
    color: var(--doorTitle1);
}

#DoorSelected .response-inline .card.response.selected {
    min-width: unset;
}

#Door .door-family:nth-child(1) .response-inline circle,
#DoorSelected .door-family:nth-child(1) .response-inline circle {
    background: var(--doorTitle1);
    font-weight: bold;
}

#Door .door-family:nth-child(2) .response-inline .card-img-top.selected,
#DoorSelected .door-family:nth-child(2) .response-inline .card-img-top.selected {
    border: solid var(--doorTitle2) 3px;
    color: var(--doorTitle2);
    min-width: 74px;
}

#Door .door-family:nth-child(2) .response-inline .card.response.selected,
#DoorSelected .door-family:nth-child(2) .response-inline .card.response.selected {
    font-weight: bold;
    color: var(--doorTitle2);
}

#Door .door-family:nth-child(2) .response-inline circle,
#DoorSelected .door-family:nth-child(2) .response-inline circle {
    background: var(--doorTitle2);
}

#Door .door-family:nth-child(1) .overflow, #DoorSelected .door-family:nth-child(1) .overflow {
    scrollbar-color: var(--doorTitle1) white; /* Mozzila*/
}

#Door .door-family:nth-child(2) .overflow, #DoorSelected .door-family:nth-child(2) .overflow {
    scrollbar-color: var(--doorTitle2) white; /* Mozzila*/
}

.overflow::-webkit-scrollbar { /*Chrome*/
    height: 6px;
    background-color: #F5F5F5;
}

.overflow::-webkit-scrollbar-thumb { /*Chrome*/
    background-color: var(--colorMenu);
}

#Door .door-family:nth-child(1) .overflow::-webkit-scrollbar-thumb,
#DoorSelected .door-family:nth-child(1) .overflow::-webkit-scrollbar-thumb { /*Chrome*/
    background-color: var(--doorTitle1);
}

#Door .door-family:nth-child(2) .overflow::-webkit-scrollbar-thumb,
#DoorSelected .door-family:nth-child(2) .overflow::-webkit-scrollbar-thumb { /*Chrome*/
    background-color: var(--doorTitle2);
}

.overflow::-webkit-scrollbar-thumb:hover { /*Chrome*/
    background-color: var(--colorMenu);
}

.list-option {
    width: -moz-available !important; /*mozilla*/
    width: -webkit-fill-available !important; /*Chrome*/
    margin: 15px !important;
}

#Door .door-family:nth-child(1) .list-option,
#DoorSelected .door-family:nth-child(1) .list-option {
    border: 2px solid var(--doorTitle1) !important;
}

#Door .door-family:nth-child(2) .list-option,
#DoorSelected .door-family:nth-child(2) .list-option {
    border: 2px solid var(--doorTitle2) !important;
}

#DoorSelected .response-inline .response {
    float: left;
    max-height: 220px;
}

#Door .container-fluid .response-inline,
#DoorSelected .container-fluid .response-inline {
    margin-top: 3%;
}

#Door .container-fluid .response-inline {
    margin-right: 20px;
    height: 320px;
    scroll-behavior: smooth;

}

#Door .container-fluid .slide {
    width: 20px;
    height: 320px;
    display: flex;
}

#DoorSelected .container-fluid .slide {
    display: none;
}

#Door .container-fluid .slide-left {
    float: left;
    transform: rotateY(180deg);
}

#Door .container-fluid .slide-right {
    float: right;
    transform: translateY(-100%);
}

#Door .door-family:nth-child(2) .slide svg {
    fill: var(--doorTitle2) !important;
    width: 100%;
}

#Door .door-family:nth-child(1) .slide svg {
    fill: var(--doorTitle1) !important;
    width: 100%;
}

#DoorSelected .container-fluid .response-inline {
    display: table;
    margin-left: 30%;
    margin-right: 10%;
}
/*************/


/*Manage #Joinery selection page*/
#Joinery .card.response.selected {
    min-width: 104px;
}
/*********/
#SwitchIntExt {
    position: absolute;
    top: 20px;
    left: 15px;
    z-index: 10;
}

#ScaleXDoor {
    position: absolute;
    top: calc(5vh + 40px);
    left: 15px;
    z-index: 10;
}

.top-item img {
    max-height: 200px;
    max-width: unset;
    margin: auto;
    display: block;
}

.selectable.item img {
    max-height: 200px;
    max-width: unset;
    margin: 0;
    display: block;
}

.searchBox {
    position: absolute;
    right: calc(max(7vw, 20vh) + 30px);
    max-height: 20px;
}

    .searchBox input {
        border-radius: 5px;
        padding: 5px;
    }

    .searchBox img {
        margin-bottom: 3px;
        margin-right: 5px;
        width: 15px;
        height: 15px;
    }

#CustomerModal .btn {
    display: block;
    margin-top: 12px;
}

#Home .container-fluid {
    padding: 0px !important;
}

.door-list {
    min-height: 206px;
}

    .door-list img {
        max-width: unset;
        max-height: 226px;
    }

.card.selectable.item {
    background: transparent;
}

#CustomerModal .modal-dialog {
    display: block;
    margin: auto;
    width: max-content;
    margin-top: 10vh;
    min-width: 20vw;
    max-width: min(500px, 80vw);
}

#CustomerModal .modal-dialog.max-size {
    max-width: 80vw;
}

#CustomerModal button {
    margin: auto;
}

#CustomerModal p {
    margin-top: 8px;
}

#CustomerModal table tr {
    display: table-row;
}

#CustomerModal table td, #CustomerModal table th {
    display: table-cell;
    width: max-content;
}

#Joinery .selectable img {
    height: 150px;
    margin: auto;
    display: block;
}

img.card-img {
    width: 40px;
    height: 40px;
}

img.card-img-top.item {
    max-height: 100px;
}

#LoginArea {
    display: grid;
}

.item-contained {
    display: flex;
}

.top-item {
    display: flex;
}

.new-picture {
    display: inline-flex;
}

.menu-text a, .menu-text .droppedInitial {
    font-size: 1.2vw;
    line-height: calc(1vw + 5px);
    display: inline-grid;
}

.menu-text span {
    margin: auto;
    display: grid;
}

.btn-view, .btn-reverse, .btn-save {
    background: var(--mainColor);
    color: white;
    box-shadow: unset !important;
    font-size: 3vh !important;
    border-radius: 5px !important;
}

#design-joinery {
    position: absolute;
    bottom: 0px;
    height: 40vh;
    left: 3vw;
    opacity: 1;
}

.container-fluid {
    padding-right: calc(max(7vw, 20vh) + 15px) !important;
}

.container-item {
    display: none;
    position: absolute;
    right: 0;
    transform: translateX(100%);
    background-color: white;
}

.bareme {
    font-size: 3em;
    color: white;
    min-width: fit-content;
}

.bareme-description {
    color: lightgray;
    text-align: left;
    display: inline;
    margin: auto;
    margin-left: 10px;
}

.commentary-scale {
    display: flex;
}

.navbar-top section {
    display: flex;
}

    .navbar-top section > a, .navbar-top section > table {
        position: relative;
    }


.Home > .card {
    position: absolute;
    padding: 50px;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
}

body.login-page {
    background-color: white !important;
}

.with-notification {
    position: relative;
}

.with-notification > .badge {
    position: absolute;
    top: -10px;
    right: -15px;
    padding: 5px 10px;
    border-radius: 15px;
    background-color: white;
    color: var(--mainColor);
}

.accessories-information {
    margin: -15px 0 20px 15px;
    font-style: italic;
    font-size: 1.2em;
    color: #974a00;
}

.options .options .selectable img {
    max-height: 100px;
}

#left-bar > .button-arrow {
    z-index: 300;
}

/*2largissement de la visualistation sur les écrans de petite et moyenne taille*/
@media(max-width: 1700px) {
    .full-page-left {
        width: 35%;
    }

    .navbar-top {
        width: 65%;
        left: 35%;
    }

    body {
        width: 65%;
    }

    .body-content {
        width: 65%;
    }

    section.content {
        margin: 0 10px 0 35%;
    }

    section#DoorSelected.content {
        margin: 14vh 10px 0 37%;
    }

    .ls-closed section.content {
        margin-left: 35%;
    }
}

.colors {
    display: grid;
    grid-gap: 15px; 
}

.colors #ColorInt.parent {
    box-shadow: -28px 0 0px -20px var(--questionTitle);
}

.colors #ColorInt.parent h2 {
    border: none;
}
    
.colors #ColorInt {
    grid-column: 4 / 5;
}
.colors #ColorExt {
    grid-column: 1 / 3;
}

.navbar-logo {
    height: 85px;
    margin: auto;
}

.navbar-logo img {
    max-height: 100%;
}